### Function Macro

# GObject TYPE_CHECK_CLASS_CAST

#### Declaration

    #define G_TYPE_CHECK_CLASS_CAST (
      g_class,
      g_type,
      c_type
    )

#### Description

Checks that `g_class` is a class structure of the type identified by `g_type` and issues a warning if this is not the case. Returns `g_class` casted to a pointer to `c_type`. `NULL` is not a valid class structure.

This macro should only be used in type implementations.

This function is not directly available to language bindings.

#### Parameters

`g_class`

  Type: `-`

  Location of a `GTypeClass` structure.

`g_type`

  Type: `-`

  The type to be returned.

`c_type`

  Type: `-`

  The corresponding C type of class structure of `g_type`.